Subject: This Clever Device Makes iPad Typing Easy and Enjoyable

From: "Touchfire Keyboard" <[email-masked]>
Date: Mon, 1 Jun 2015 07:47:29 -0700

Touchfire

Transform your IPad into a laptop replacement
http://www.trupey.science/l/lt15K1997N13K/14AA558QL1244T25NY361490I1123599017

See Touchfire in action
http://www.trupey.science/l/lt15R1997P13V/14VI558QT1244D25FO361490P1123599017

Click here
http://www.trupey.science/l/lt15Q1997E13B/14EB558IV1244F25KN361490D1123599017

Touchfire Case & Keyboard
http://www.trupey.science/l/lt15L1997G13O/14JM558ME1244W25OD361490M1123599017

Touchfire, Inc. | 1117 NW 54th Street | Seattle, WA 98107

If you'd prefer not to receive future emails, Unsubscribe Here.